Subject: Re: Trying to compile a simple C++ program
From: Georg Fusz <[email-masked]>
To: Anton Mochalin <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Feb 2001 09:17:20 +0000

Use 'g++' instaedt of 'gcc'.
Both commands calls the same compiler/linker; but they use different options.

Anton Mochalin wrote:
> 
> Hello.
> 
> I typed a simple program into a file 'a.cpp':
> 
> #include <iostream.h>
> 
> main()
> {
>  cout << "Hi!";
> }
> 
> and then tried to compile it:
> $ gcc -o a.exe a.cpp
> 
> All I got is:
> 
> /c/WINDOWS/TEMP/ccnLFh81.o(.text+0x18):a.cpp: undefined reference to `cout'
> /c/WINDOWS/TEMP/ccnLFh81.o(.text+0x1d):a.cpp: undefined reference to
> `ostream::operator<<(char const *)'
> collect2: ld returned 1 exit status
> 
> What's wrong? It seems that maybe something is wrong with the header files
> (iostream.h maybe) but what should I do to make gcc compile this program?
> My cygwin version is 1.1.8-2 and gcc version is 2.95.2-7
> 
> Anton.
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
Georg Fusz
Technische Universitaet Berlin, Germany

Fon:
Uni.: +49 30 314 26 884
privat: +49 30 815 30 32
Handy: +49 173 20 10 696

Homepage: http://www.cadlab.tu-berlin.de/~fusz/

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple